﻿@{
    ViewData["footer-bg"] = "bg-white";
    Layout = "_EmptyLayout";
}
<!DOCTYPE html>
<html lang="en">
<head>
    <partial name="_HeadImport" />
</head>
<body>
    <div class="container">
        <div class="card">
            <div class="card-body">
                <div class="d-flex">
                    <div class="col-md-2">
                        <label>Input Textbox</label>
                        <input class="form-control form-control-lg" data-allow-clear="true" />
                    </div>
                    <div class="col-md-3">
                        <label>Selectpicker Default</label>
                        <select class="form-control form-control-lg" data-live-search="true" data-allow-clear="true">
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                    <div class="col-md-3">
                        <label>Selectpicker Body Container</label>
                        <select class="form-control form-control-lg" data-container="body" data-live-search="true" data-allow-clear="true">
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                    <div class="col-md-3">
                        <label>Select2</label>
                        <select class="form-control form-control-lg select2" data-allow-clear="true" data-placeholder="-Select-" name="select2-lg">
                            <option></option>
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                </div><br />
                <div class="d-flex">
                    <div class="col-md-2">
                        <input class="form-control" data-allow-clear="true" />
                    </div>
                    <div class="col-md-3">
                        <select class="form-control" data-live-search="true" data-allow-clear="true">
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                    <div class="col-md-3">
                        <select class="form-control" data-container="body" data-live-search="true" data-allow-clear="true">
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                    <div class="col-md-3">
                        <select class="form-control form-control select2" data-allow-clear="true" data-placeholder="-Select-" name="select2-nm">
                            <option></option>
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                </div><br />
                <div class="d-flex">
                    <div class="col-md-2">
                        <input class="form-control form-control-sm" data-allow-clear="true" />
                    </div>
                    <div class="col-md-3">
                        <select class="form-control form-control-sm" data-live-search="true" data-allow-clear="true">
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                    <div class="col-md-3">
                        <select class="form-control form-control-sm" data-container="body" data-live-search="true" data-allow-clear="true">
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                    <div class="col-md-3">
                        <select class="form-control form-control-sm select2" data-allow-clear="true" data-placeholder="-Select-" name="select2-sm">
                            <option></option>
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                </div><br />
                <div class="d-flex">
                    <div class="col-md-2">
                        <input class="form-control form-control-xs" data-allow-clear="true" />
                    </div>
                    <div class="col-md-3">
                        <select class="form-control form-control-xs" data-live-search="true" data-allow-clear="true">
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                    <div class="col-md-3">
                        <select class="form-control form-control-xs" data-container="body" data-live-search="true" data-allow-clear="true">
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                </div><br />
                <div class="d-flex">
                    <div class="col-md-3">
                        <select class="form-control form-control-lg select2" multiple>
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                </div><br />

                <div class="d-flex">
                    <div class="col-md-3">
                        <label>Multiselect lg</label>
                        <select class="form-control form-control-lg" data-allow-clear="true" data-placeholder="-Select-" multiple>
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                    <div class="col-md-3">
                        <label>Multiselect nm</label>
                        <select class="form-control form-control-nm" data-allow-clear="true" data-placeholder="-Select-" multiple>
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                    <div class="col-md-3">
                        <label>Multiselect sm</label>
                        <select class="form-control form-control-sm" data-allow-clear="true" data-placeholder="-Select-" multiple>
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                </div><br />
                <div class="d-flex">
                    <div class="col-md-3">
                        <label>data-container body Multiselect lg</label>
                        <select class="form-control form-control-lg" data-container="body" data-allow-clear="true" data-placeholder="-Select-" multiple>
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                    <div class="col-md-3">
                        <label>data-container body Multiselect nm</label>
                        <select class="form-control form-control-nm" data-container="body" data-allow-clear="true" data-placeholder="-Select-" multiple>
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                    <div class="col-md-3">
                        <label>data-container body Multiselect sm</label>
                        <select class="form-control form-control-sm" data-container="body" data-allow-clear="true" data-placeholder="-Select-" multiple>
                            <option>Option 1</option>
                            <option>Option 2</option>
                        </select>
                    </div>
                </div><br />
                <div class="d-flex">
                    <div class="col-md-6">
                        <label>Status</label>
                        <div class="stv-radio-buttons-wrapper">
                            <input type="radio" class="stv-radio-button" name="radioButtonTest" value="1" id="button1" />
                            <label for="button1" class="btn btn-text-success btn-hover-light-success"><i class="fas fa-check text-success"></i>Approve</label>
                            <input type="radio" class="stv-radio-button" name="radioButtonTest" value="2" id="button2" />
                            <label for="button2" class="btn btn-text-info btn-hover-light-info"><i class="far fa-thumbs-up text-info"></i>Issue</label>
                            <input type="radio" class="stv-radio-button" name="radioButtonTest" value="3" id="button3" />
                            <label for="button3" class="btn btn-text-danger btn-hover-light-danger"><i class="fas fa-times text-danger"></i>Reject</label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
@section scripts{
<script>
    var select2El = $("select.form-control").not(".select2");
    select2El.attr("title", "-Select-");
    select2El.selectpicker("refresh");
    select2El.selectpicker();
    $(".select2").select2();
</script>
}
